Subject: Re: Basic Questions in SIP

From: John Hearty <[email-masked]>
Date: Fri, 14 May 1999 11:51 -0500 (CDT)

>>1) Is it mandatory for all UAC to REGISTER or be 
>>registered to any SERVER (proxy,redirect) so that
>>it can be contacted.
>
>The UA is responsible for the registration and the request is sent by the
>UAC. If your last registration is not expired then it's not necessary to
>register again. If your not registered anywhere I don't see how you could
>receive invitation, as mention in the rfc2543 p.34 "the support for the
>REGISTER is RECOMMENDED".

 This is only recommended because SIP clients could communicate directly
with each other without servers if they know each others addresses
and there are no firewall issues.  For this reason, it is not mandatory
to register, but in most cases, other users would rely on a server
to find a user.

John Hearty
MCI Worldcom